Bug 196177 - Review Request: kdmtheme - Theme Manager for KDM
Review Request: kdmtheme - Theme Manager for KDM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-21 15:15 EDT by Chitlesh GOORAH
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 16:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-06-21 15:15:28 EDT
Spec URL: http://beta.glwb.info/kdmtheme/kdmtheme.spec
SRPM URL: http://beta.glwb.info/kdmtheme/kdmtheme-1.1.2-1.src.rpm
Description:
KDM Theme manager is just what it says a theme Manager for KDM.
This control module allows you to easily add, remove and select
any KDM theme you want.
Comment 1 Parag AN(पराग) 2006-06-22 00:50:09 EDT
Not an official review as I'm not yet sponsored

MUST Items:
     - MUST: rpmlint shows error 
       cpio: kdmtheme-1.1.2/src/<built-in>: No such file or directory
     - MUST: dist tag is present
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package kdmtheme, in the
format kdmtheme.spec
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license GPL.
      - MUST: The License field in the package kdmtheme.spec file matches the
actual license file COPYING in tarball.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct.
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
listing.
      - MUST: This package  have a %clean section, which contains rm -rf
$RPM_BUILD_ROOT.
      - MUST: This package used macros.
      - MUST: Document files are included like INSTALL README.
      - MUST: This Package include a kdmtheme.desktop file, and that file is 
installed with desktop-file-install in the %install section successfully.
      - MUST: Package is calling ldconfig on postun post successfully.
      * Source URL is present.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * BuildRequires is correct

Comment 2 Parag AN(पराग) 2006-06-22 00:57:57 EDT
oops rpmlint showed no error but mock built for i386 develpment show following error
       cpio: kdmtheme-1.1.2/src/<built-in>: No such file or directory
however i think you can ignore this
Comment 3 Chitlesh GOORAH 2006-06-22 04:34:54 EDT
Yes, Im ignoring on Rex's advice:
https://www.redhat.com/archives/fedora-extras-list/2006-June/msg00911.html

Hans, can you do the official review ?
Comment 4 Hans de Goede 2006-06-22 12:55:46 EDT
(In reply to comment #3)
> 
> Hans, can you do the official review ?
>

Nope sorry I'm rather busy at the moment. Besides that now that you're sponsored
any FE contributer can do a review for you and its sortoff up to you to get yor
packages reviewed. The best way to get your packages reviewed is to exchange
reviews with someone. For example I see that Rex is reviewing this one for you,
so you should review one of his packages in return.

In the end you should review as many packages as you submit, even everybody only
submits packages and doesn't review the system will bog down very quickly.

Also now that you are sponsored you don't need to put me in the CC-list for
every review request you submit.

Comment 5 Rex Dieter 2006-07-25 15:58:17 EDT
I'll review this...
Comment 6 Rex Dieter 2006-07-25 16:20:20 EDT
* Upstream SOURCE matches:
40bacda700e847aab7070babc15f67ca  kdmtheme-1.1.2.tar.bz2

* builds/installs clean.

1. For URL, I'd recommend instead using
http://beta.smileaf.org/projects/
or
http://www.kde-look.org/content/show.php?content=22120

2.  Don't omit the %{_libdir}/kde3/kcm*.la file.  It's needed.  (It doesn't work
for me without it).

3.  You ought to
Requires: kdebase
since this is a KControl module (and kcontrol is in kdebase).

4. (optional) configure optimization flags:
%configure \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependancy-tracking --enable-final
(probably not a big deal since this is just a small kcontrol module)

Fix up 1-3, and I'll approve this.
Comment 7 Rex Dieter 2006-07-25 16:21:56 EDT
And (almost forgot):
5.  Include in %files
%doc AUTHORS ChangeLog COPYING
Comment 8 Rex Dieter 2006-07-25 16:22:44 EDT
Arg, and...
6.  drop %post,%postun ldconfig scriptlets.  There are no shared libs here, not
needed.
Comment 9 Ville Skyttä 2006-07-25 16:37:03 EDT
(In reply to comment #6)
>   --disable-dependancy-tracking

s/dependancy/dependency/
Comment 10 Rex Dieter 2006-07-25 16:41:06 EDT
>  s/dependancy/dependency/

Damn! (:
  
Comment 12 Rex Dieter 2006-08-21 10:36:14 EDT
Good work, APPROVED.

Note You need to log in before you can comment on or make changes to this bug.